package com.zehong.dao;

import com.zehong.entity.PCBADevices;
import java.util.List;

public interface PCBADevicesMapper {

    /**
     * 根据主板号查询设备信息
     * @param motherboardCode 主板吗
     * @return
     */
    List<PCBADevices> selectPcbaDeviceInfoByBoardCode(String motherboardCode);

    /**
     * 更新设备信息
     * @param devices 设备信息
     * @return
     */
    int updatePcbaDeviceInfo(PCBADevices devices);

    /**
     * 新增设备信息
     * @param devices 设备信息
     * @return
     */
    int insertPcbaDevices(PCBADevices devices);
}
